/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { ToolActionInfo } from "./ToolActionInfo";
import { markType } from "./type";
/**
 * @hidden
 */
export let ToolActionFieldSelectorInfo = /*@__PURE__*/ (() => {
    class ToolActionFieldSelectorInfo extends ToolActionInfo {
        constructor() {
            super(...arguments);
            this._dataSource = null;
            this._fieldType = 0;
            this.ah = null;
            this._updateDataSource = false;
            this._singleSelection = false;
            this._aggregations = null;
            this._rules = null;
            this._selectedAggregations = null;
        }
        get_d() {
            return 12;
        }
        get dataSource() {
            return this._dataSource;
        }
        set dataSource(a) {
            this._dataSource = a;
        }
        get fieldType() {
            return this._fieldType;
        }
        set fieldType(a) {
            this._fieldType = a;
        }
        get updateDataSource() {
            return this._updateDataSource;
        }
        set updateDataSource(a) {
            this._updateDataSource = a;
        }
        get singleSelection() {
            return this._singleSelection;
        }
        set singleSelection(a) {
            this._singleSelection = a;
        }
        get aggregations() {
            return this._aggregations;
        }
        set aggregations(a) {
            this._aggregations = a;
        }
        get rules() {
            return this._rules;
        }
        set rules(a) {
            this._rules = a;
        }
        get selectedAggregations() {
            return this._selectedAggregations;
        }
        set selectedAggregations(a) {
            this._selectedAggregations = a;
        }
    }
    ToolActionFieldSelectorInfo.$t = /*@__PURE__*/ markType(ToolActionFieldSelectorInfo, 'ToolActionFieldSelectorInfo', ToolActionInfo.$);
    return ToolActionFieldSelectorInfo;
})();
